/*
 * lextest: TEST THE LEXICAL ANALYSER
 */

#include <stdio.h>
#include <stdlib.h>

#include "bool.h"
#include "lexer.h"


int main( int argc, char **argv )
{
	if( argc == 1 )
	{
                lexfile = stdin;
	} else if( argc == 2 )
	{
                lexfile = fopen( argv[1], "r" );
                if( lexfile == NULL )
		{
			fprintf( stderr, "lextest: can't open '%s'\n",
				argv[1] );
			exit(1);
		}
        } else
	{
		fprintf( stderr, "Usage: lextest [filename]\n" );
		exit(1);
        }

	TOKEN t;
	while( (t=nexttok()) != tEOF )
	{
		printf( "token: %s", tokenname[t] );
		if( t == tID )
		{
			printf( "(%s)", lexidval );
		}
		putchar( '\n' );
	}
	exit(0);
	/*NOTREACHED*/
}
